Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/1897/?format=api
{ "ob_id": 1897, "uuid": "b0b6c33fad1f19ac12a7f8b9a9dfb922", "title": "Polluted Troposphere IONS: Aerosol Geiger counter at the University of Reading Atmospheric Observatory", "abstract": "Ionisation as a precursor to Aerosol Formation (also known as IONS) was a Natural Environment Research Council (NERC) Polluted Troposphere Research Programme project (Round 1 - NER/T/S/2002/00150 - Duration 2002 - 2005) and was led by Dr RG Harrison, University of Reading. Data consist of surface level measurements of background ion production rates and small ion concentrations. \r\n\r\nThis dataset contains aerosol geiger counter measurements at the University of Reading Atmospheric Observatory.", "keywords": "Polluted Troposphere, Ionisation, Chemistry", "publicationState": "published", "dataPublishedTime": "2007-03-14T16:24:17", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/1898/?format=api", "dataPath": "/badc/polluted-tropo/data/ions/reading-campbell-logger", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 2055540, "numberOfFiles": 16, "fileFormat": "Data are NASA Ames formatted\r\n" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/507/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/894/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/55205/?format=api" ], "dataLineage": "Data were obtained at the Weybourne Atmospheric Observatory on the Norfolk coast during the TORCH 2 campaign of May/June 2004 and at the University of Reading meteorological field site. Data provided to the BADC as is, by the Polluted Troposphere Programme participants.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/1370/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14392/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1875/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/5501/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/5500/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/5506/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/5503/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/5504/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/5505/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/5507/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/5502/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/1900/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }